Vector BLF: Vector::BLF::CompressedFile Class Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Vector::BLF::CompressedFile Class Referencefinal

`#include <CompressedFile.h>`

Inheritance diagram for Vector::BLF::CompressedFile:

## Public Member Functions
| CompressedFile (const CompressedFile &)=delete
CompressedFile & | operator= (const CompressedFile &)=delete
| CompressedFile (CompressedFile &&)=delete
CompressedFile & | operator= (CompressedFile &&)=delete
std::streamsize | gcount () const override
void | read (char *s, std::streamsize n) override
std::streampos | tellg () override
void | seekg (std::streamoff off, const std::ios_base::seekdir way=std::ios_base::cur) override
void | write (const char *s, std::streamsize n) override
std::streampos | tellp () override
bool | good () const override
bool | eof () const override
virtual void | open (const char *filename, std::ios_base::openmode openMode)
virtual bool | is_open () const
virtual void | close ()
virtual void | seekp (std::streampos pos)
Public Member Functions inherited from Vector::BLF::AbstractFile
| AbstractFile (const AbstractFile &)=default
AbstractFile & | operator= (const AbstractFile &)=default
| AbstractFile (AbstractFile &&)=default
AbstractFile & | operator= (AbstractFile &&)=default
virtual std::streamsize | gcount () const =0
virtual void | read (char *s, std::streamsize n)=0
virtual std::streampos | tellg ()=0
virtual void | seekg (std::streamoff off, const std::ios_base::seekdir way=std::ios_base::cur)=0
virtual void | write (const char *s, std::streamsize n)=0
virtual std::streampos | tellp ()=0
virtual bool | good () const =0
virtual bool | eof () const =0
virtual void | skipp (std::streamsize s) final

## Detailed Description

CompressedFile (Input/output file stream)

This class is thread-safe.

## Member Function Documentation

## ◆ close()

void Vector::BLF::CompressedFile::close | ( |  | ) |
| virtual

Close file.

## ◆ eof()

bool Vector::BLF::CompressedFile::eof | ( |  | ) | const
| overridevirtual

Check whether eofbit is set.

Returns
  true if eofbit is set

Implements Vector::BLF::AbstractFile.

## ◆ gcount()

std::streamsize Vector::BLF::CompressedFile::gcount | ( |  | ) | const
| overridevirtual

Get characters returned by last read operation.

Returns
  Number of characters

Implements Vector::BLF::AbstractFile.

## ◆ good()

bool Vector::BLF::CompressedFile::good | ( |  | ) | const
| overridevirtual

Check whether state of stream is good.

Returns
  true if no error flags are set

Implements Vector::BLF::AbstractFile.

## ◆ is_open()

bool Vector::BLF::CompressedFile::is_open | ( |  | ) | const
| virtual

is file open?

Returns
  true if file is open

## ◆ open()

void Vector::BLF::CompressedFile::open | ( | const char * | filename,
|  | std::ios_base::openmode | openMode
| ) |  |
| virtual

open file

Parameters

  filename | file name
  openMode | open in read or write mode

## ◆ read()

void Vector::BLF::CompressedFile::read | ( | char * | s,
|  | std::streamsize | n
| ) |  |
| overridevirtual

Read block of data.

This operation blocks until the data is available.

Parameters

  [out] | s | Pointer to data
  [in] | n | Requested size of data

Implements Vector::BLF::AbstractFile.

## ◆ seekg()

void Vector::BLF::CompressedFile::seekg | ( | std::streamoff | off,
|  | const std::ios_base::seekdir | way = `std::ios_base::cur`
| ) |  |
| overridevirtual

Set position in input sequence.

Parameters

  [in] | off | Offset
  [in] | way | Direction

Implements Vector::BLF::AbstractFile.

## ◆ seekp()

void Vector::BLF::CompressedFile::seekp | ( | std::streampos | pos | ) |
| virtual

Set position in output sequence.

Parameters

  [in] | pos | Position

## ◆ tellg()

std::streampos Vector::BLF::CompressedFile::tellg | ( |  | ) |
| overridevirtual

Get position in input sequence.

Returns
  Read position

Implements Vector::BLF::AbstractFile.

## ◆ tellp()

std::streampos Vector::BLF::CompressedFile::tellp | ( |  | ) |
| overridevirtual

Get position in output sequence.

Returns
  Write position

Implements Vector::BLF::AbstractFile.

## ◆ write()

void Vector::BLF::CompressedFile::write | ( | const char * | s,
|  | std::streamsize | n
| ) |  |
| overridevirtual

Write block of data.

Parameters

  [in] | s | Pointer to data
  [in] | n | Size of data

Implements Vector::BLF::AbstractFile.

The documentation for this class was generated from the following files:

- CompressedFile.h
- CompressedFile.cpp